Draft Versatz

From FreeCAD Documentation
This page is a translated version of the page Draft Offset and the translation is 95% complete.
Outdated translations are marked like this.

Draft Versatz

Menüeintrag
Änderung → Versatz
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
O S
Eingeführt in Version
-
Siehe auch
Part 2DVersatz

Beschreibung

Das Werkzeug Draft Versatz verschiebt jedes Teilstück eines ausgewählten Objekts um einen gegebenen Abstand oder erstellt eine versetzte Kopie des ausgewählten Objekts.

Versetzen eines Draft-Drahtes

Anwendung

Siehe auch: Draft Einrasten und Draft Beschränken.

  1. Wahlweise ein Objekt auswählen. Das Objekt muß auf der aktuellen Draft Arbeitsebene liegen.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Versetzen drücken.
    • Den Menüeintrag Änderung → Versetzen auswählen.
    • Das Tastaturkürzel O dann S.
  3. Wurde noch kein Objekt ausgewählt: Ein Objekt in der 3D-Ansicht auswählen.
  4. Der Aufgaben-Bereich Versatz wird geöffnet. Siehe Optionen für weitere Informtionen.
  5. Zum Festlegen des Versatzabstands gibt es folgende Möglichkeiten:
    • Einen Punkt in der 3D-Ansicht auswählen.
    • Eine Zahl eingeben:
      1. Der Zeiger muß sich auf der richtigen Seite des Objektes in der 3D-Ansicht befinden.
      2. Der Zeiger darf nicht aus der 3D-Ansicht heraus bewegt werden.
      3. Einen Abstand eingeben.
      4. Die Taste Enter drücken, um die Anweisung abzuschließen.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft-Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel (für Version 0.22).

  • Ist die Checkbox OCC-style offset aktiviert, wird ein besonderer Versatzstil verwendet: Offene Draft Polylinien werden zu beiden Seiten versetzt und die neuen Kanten werden mit gerundeten Ecken verbunden. Dies funktioniert nur mit ebenen Objekten mit mindestens zwei Kanten. Dabei ist zu beachten, dass mit diesem Stil ein neues nicht parametrisches Objekt erstellt wird und, wenn der Modus Kopieren deaktiviert ist, das Originalobjekt entfernt wird.
  • C drücken oder die Checkbox Kopieren aktivieren, um den Kopieren-Modus umzuschalten. Ist der Kopieren-Modus aktiviert, erstellt der Befehl eine versetzte Kopie anstatt das Originalobjekt zu (v)ersetzen.
  • Wird Alt gedrückt gehalten, bevor Punkte in der 3D-Ansicht ausgewählt werden, wird auch der Kopieren-Modus umgeschaltet. Während Alt gedrückt gehalten wird, können mehrere Versatzpunkte ausgewählt werden. Alt loslassen, um den Befehl zu beenden und die erstellten Kopien anzuzeigen.
  • Shift gedrückt halten, um den Versatzabstand mit dem aktuellen Abschnitt verknüpft zu lassen.
  • SDrücken, um Draft Einrasten ein- bzw. auszuschalten.
  • Esc oder die Schaltfläche Close drücken, um den Befehl abzubrechen.

Hinweise

  • Zum Erstellen einer Versetzte Version eines Draft B-Splines werden seine Punkte einzeln versetzt und durch die neuen Punkte wird ein neuer Spline berechnet. Dieser neue Spline ist nicht parallel zum originalen Spline. Für eine exakt parallele Versatzkurve eines Draft B-Splines sollte der Befehl Part 2DVersatz eingesetzt werden.
  • Der Befehl Draft Offset kann Draft Bézierkurve nicht bearbeiten. Dafür kann der Befehl Part 2DVersatz verwendet werden.

Skripten

Siehe auch: Autogenerierte API-Dokumentation und FreeCAD Grundlagen Skripten.

Zum Versetzen von Objekten wird die Methode offset des Draft-Moduls verwendet. Die Methode kann nur Draft Wires, Draft Circles, Draft Rectangles, Draft Polygons und Draft BSplines verarbeiten.

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • obj ist das zu versetzende Objekt.
  • delta enthält die Versatzinformationen:
  • Ist copy auf True gesetzt, wird das Originalobjekt behalten und ein neues Objekt erstellt.
  • Ist bind auf True gesetzt, wird eine Fläche erstellt, indem die Form des Originalobjekts mit der Form seines Versatzobjekts verbunden wird. Dies funktioniert nur mit offenen Draft-Polylinien.
  • Sind sym auf True und auch bind auf True gesetzt, wird das Originalobjekt zu beiden Seiten versetzt; die Gesamtbreite entspricht der Länge des gegebenen Vektors. Dies funktioniert nur mit offenen Draft-Polylinien.
  • Ist occ auf True gesetzt, wird ein OCC-Style-Versatz verwendet. Siehe Optionen. Ist occ auf True gesetzt, werden die Argumente bind und sym ignoriert.
  • offset_obj wird mit dem originalen versetzten Objekt zurückgegeben oder mit dem neuen Objekt. Ist bind auf True gesetzt oder occ auf True gesetzt, wird das neue Objekt ein Part::Feature-Object.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()